
* simple effects in repeated measures based on Winer, B. J., Brown, D. R., & Michels, K. M. (1991). 
* Statistical Principles in Experimental Design. New York, NY: McGraw-Hill. 
 
* On the menu you ask for estimated marginal means using the options button in repeated measures

* see http://ssc.utexas.edu/software/faqs/spss#SPSS_35

GET FILE ='E:\POST-HOC FOR ZIPPING\DEMO POST-HOC\SIMPLE GLM.SAV'.

GLM 
trial1 trial2 trial3 trial4 BY group 
/WSFACTOR = trial 4 SIMPLE 
/METHOD = SSTYPE(3) 
/CRITERIA = ALPHA(.05) 
/EMMEANS = TABLES (group*trial) COMPARE (group) ADJ (sidak)
/EMMEANS = TABLES (group*trial) COMPARE (trial) ADJ (sidak)
/WSDESIGN = trial 
/DESIGN = group.

GLM 
trial1 trial2 trial3 trial4 BY group 
/WSFACTOR = trial 2 cond 2 SIMPLE 
/METHOD = SSTYPE(3) 
/CRITERIA = ALPHA(.05) 
/EMMEANS = TABLES (group*cond) COMPARE (group) ADJ (sidak)
/EMMEANS = TABLES (group*cond) COMPARE (cond) ADJ (sidak)
/EMMEANS = TABLES (cond*trial) COMPARE (cond) ADJ (sidak)
/EMMEANS = TABLES (cond*trial) COMPARE (trial) ADJ (sidak)
/EMMEANS = TABLES (group*trial) COMPARE (group) ADJ (sidak)
/EMMEANS = TABLES (group*trial) COMPARE (trial) ADJ (sidak)
/WSDESIGN = trial cond trial*cond
/DESIGN = group.

GLM 
trial1 trial2 trial3 trial4 trial5 trial6 trial7 trial8 BY group 
/WSFACTOR = trial 2 cond 2 time 2 SIMPLE 
/METHOD = SSTYPE(3) 
/CRITERIA = ALPHA(.05) 
/EMMEANS = TABLES (group*cond*trial) COMPARE (group) ADJ (sidak)
/EMMEANS = TABLES (group*cond*time) COMPARE (cond) ADJ (sidak)
/WSDESIGN = trial cond time trial*cond time*cond 
/DESIGN = group.

********** CONSTRUCTING A SINGLE NUMBER TO REPRESENT CONTRASTS
***** FROM IAN'S POST-HOC TALK NOTES P.57 ON STATS TALK WEB PAGE
**** uncorrected for multiple tests

GET FILE ='E:\POST-HOC FOR ZIPPING\DEMO POST-HOC\WITHIN1.SAV'.

GRAPH
  /ERRORBAR( STERROR 2 )=control semantic lexical phobic
  /MISSING=LISTWISE .

DESCRIPTIVES
  VARIABLES=control semantic lexical phobic
  /STATISTICS=MEAN STDDEV MIN MAX .

GLM
control lexical semantic phobic
/WSFACTOR = cond 4
/MMATRIX 'control vs expts' control 3 lexical -1 semantic -1 phobic -1;
'phobic vs non-phobic' control 0 lexical -1 semantic -1 phobic 2;
'lex vs sem' control 0 lexical 1 semantic -1 phobic 0
/METHOD = SSTYPE(3)
/CRITERIA=ALPHA(0.05)
/WSDESIGN=cond.

* SHOWS ORTHOGONAL PROPERTY (OF SUMS OF SQUARES SUMMING TO 38.9)

GLM
control lexical semantic phobic
/WSFACTOR = cond 4
/MMATRIX 'control vs expts' control 3/3.46 lexical -1/3.46 semantic -1/3.46 phobic -1/3.46;
'phobic vs non-phobic' control 0 lexical -1/2.45 semantic -1/2.45 phobic 2/2.45;
'lex vs sem' control 0 lexical 1/1.41 semantic -1/1.41 phobic 0
/METHOD = SSTYPE(3)
/CRITERIA=ALPHA(0.05)
/WSDESIGN=cond.

********** FROM SPSS V4.0 MANUAL FACTORIAL (BB) DESIGN

* WITHIN is the error term after fitting both main effects (b,c) and the interaction(b x c)
* this is recommended as the error term for simple effects in between subjects factor 
* designs (P.155 of Boniface, 1995)

GET FILE ='E:\POST-HOC FOR ZIPPING\DEMO POST-HOC\MANOVA EG.SAV'.


MANOVA Y BY b(1,2) c(1,2)
 /DESIGN b WITHIN c(1) VS WITHIN.

* WON'T DO MAIN EFFECTS POST-HOCS 

GET FILE ='E:\POST-HOC FOR ZIPPING\DEMO POST-HOC\WITHIN1.SAV'.

GLM
  control semantic lexical phobic
  /WSFACTOR = factor1 4 Polynomial
  /METHOD = SSTYPE(3)
  /EMMEANS = TABLES(factor1)
  /PRINT = DESCRIPTIVE
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = factor1 .

